# Scripts and Models for "Predicting the Electronic Structure of Matter on Ultra-Large Scales"

This data set contains scripts and models to reproduce the results of our manuscript "Physics-informed Machine Learning 
Models for Scalable Density Functional Theory Calculations". The scripts are supposed to be used in conjunction
with the ab-initio data sets also published alongside our research article. 

## Requirements

```
python>=3.7.x
mala>=1.1.0
ase
numpy
```

## Contents

| Folder name        | Description                                      |
|--------------------|--------------------------------------------------|
| `data_analysis/`   | Run script for RDF calculations        |
| `model_inference/` | Run script to run inference based on MALA models |
| `model_training/`  | Run script to train MALA models                  |
| `trained_models/`  | Trained models for beryllium and aluminium       |
